# Interface MagicType

Type of a magic variable

#### Category

Special container types (debugger-only)

#### Hierarchy

- MagicType

- Defined in codec/lib/format/types.ts:582

#####
Index

### Properties

memberTypes?
typeClass
variable

## Properties

### `Optional` memberTypes

memberTypes?: {
[field: string]: Type;
}

#### Type declaration

- ##### [field: string]: Type

- Defined in codec/lib/format/types.ts:588

### typeClass

typeClass: "magic"

- Defined in codec/lib/format/types.ts:583

### variable

variable: MagicVariableName

- Defined in codec/lib/format/types.ts:584

Generated using TypeDoc